

<div class="container ET_EXT">
	<canvas et="" id="hcv1" style="border: 1px solid #eaeaea;
    box-shadow: 1px 2px 3px #c7c7c7;" width="1024px" height="300px"></canvas>
	<p>
		<a href="javascript:drawLine()" >Line</a>
		<a href="javascript:drawRect()" >Rect</a>
		<a href="javascript:drawCircle()" >Circle</a>
		<a href="javascript:drawEllipse()" >Ellipse</a>
		<a href="javascript:drawPolygon()" >Polygon</a>
		<a href="javascript:drawPolygon()" >Polygon</a>
		
		<a href="javascript:drawText()" >Text</a>
		<a href="javascript:drawRuler0()" >Ruler(0)</a>
		<a href="javascript:drawRuler1()" >Ruler(1)</a>
		<a href="javascript:drawRuler2()" >Ruler(2)</a>
		<a href="javascript:drawRuler3()" >Ruler(3)</a>
		<a href="javascript:drawRuler()" >Ruler</a>
	</p>
</div>
<script>

	function getRandPoss(){
		var p=[], n=ET.random.int(1, 5);
		for(var i=0; i<n; i++){
			p.push(getRandPos());
		}
		return p;
	}
	function getRandPos(){
		return {
			'x' : Math.random()*$(hcv1).width()-1
			,'y' : Math.random()*$(hcv1).height()-1
		}
	}

	function getRandColor(){
		var n=ET.random.int(0x000000, 0xffffff);
		return '#'+n.toString(16);
	}
	function drawLine(){
		var p =getRandPos();
		var p2 =getRandPos();
		hcv1.drawLine(p.x, p.y, p2.x, p2.y, getRandColor(), 1);
	}
	function drawRect(){
		var p =getRandPos();
		var p2 =getRandPos();
		hcv1.drawRect(p.x, p.y, p2.x, p2.y, 0, 0, getRandColor());
	}
	function drawCircle(){
		var p =getRandPos();
		hcv1.drawCircle(p.x, p.y, ET.random.int(1, 20), getRandColor());
	}
	function drawEllipse(){
		var p =getRandPos();
		hcv1.drawEllipse(p.x, p.y, ET.random.int(1, 20), ET.random.int(1, 25), null, getRandColor());
	}
	function drawPolygon(){
		var p =getRandPoss();
		hcv1.drawPolygon(p,getRandColor(),getRandColor());
	}
	function drawPolyline(){
		var p =getRandPoss();
		hcv1.drawPolyline(p, null, getRandColor());
	}

	function drawText(n){
		var p =getRandPos(), n=n?n:30;
		if(n<2){return ;}
		setTimeout(function(){
			hcv1.drawText(p.x, p.y, '39doo.com', 0, 0, Math.random()*30, getRandColor());
			drawText(n-1);
		}, 10);
	}
	function drawRuler(){
		var xd={min:0, max:100}
		var yd={min:0, max:100}
		// ^
		// |
		// |
		var hRuler = hcv1.drawRuler(80, 250, 800, 250, xd.min, xd.max, 0, false);
		var vRuler = hcv1.drawRuler(80, 250, 80, 80, yd.min, yd.max, 0, false);

		var x = hRuler.getOriginalScaleByData(10);
		var y = vRuler.getOriginalScaleByData(10);
		hcv1.drawCircle(x, y, 2);
		console.log(hRuler);
		
	}
	function drawRuler0(){
		// ^
		// |
		// |
		hcv1.drawRuler(80, 200, 20, 80, 0, 0, 0, false);
		console.log(arguments.callee.toString());
	}
	function drawRuler1(){
		// -->
		hcv1.drawRuler(20, 250, 800, 250, 0, 0, 0, false);
		console.log(arguments.callee.toString());
	}
	function drawRuler2(){
		// |
		// |
		// v
		hcv1.drawRuler(900, 50, 900, 200, 0, 0, 0, true);
		console.log(arguments.callee.toString());
	}
	function drawRuler3(){
		// <--
		hcv1.drawRuler(800, 50, 20, 50, 0, 0, 0, true);
		console.log(arguments.callee.toString());
	}
	function drawRulerLine(){
		var data=[], n=ET.random.int(7)+10;
		for(var i=0; i<n; i++){
			data.push({
				'语文':ET.random.int(100)
				,'数学':ET.random.int(100)
				,'英语':ET.random.int(100)
			});
		}
		data = [
			{"语文":0, "数学":40, "英语":80 },
			{"语文":10, "数学":50, "英语":90 },
			{"语文":20, "数学":60, "英语":100 },
			{"语文":30, "数学":70, "英语":110 },
			// {"语文":87, "数学":66, "英语":38 }
		];
		xkeys = [
			ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('1 days')))
			, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('2 days')))
			, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('3 days')))
			, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('4 days')))
		];

		// console.log(ET.object.toString(data));

		hcv1.chartLine(data, xkeys);
	}
	ET.loadLib('date');
	
</script>